Bug 1296549 - Tunnels are not removed after l2pop enabling
Tunnels are not removed after l2pop enabling
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
8.0 (Liberty)
x86_64 Linux
low Severity low
: ---
: 8.0 (Liberty)
Assigned To: lpeer
Ofer Blaut
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 08:54 EST by Alexander Stafeyev
Modified: 2016-06-03 16:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-03 16:09:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Stafeyev 2016-01-07 08:54:26 EST
Description of problem:
We have 3 controllers and 2 Compute nodes. No instances were created 
Tunnels between the controllers and compute nodes are not removed after enabling l2population. 

http://pastebin.test.redhat.com/338768

Version-Release number of selected component (if applicable):

# rhos-release 8-director -p 2015-12-03.1
# rhos-release 8 -p 2015-12-22.2
[root@overcloud-controller-0 ~]# rpm -qa | grep neutron
python-neutronclient-3.1.0-1.el7ost.noarch
python-neutron-7.0.1-2.el7ost.noarch
openstack-neutron-common-7.0.1-2.el7ost.noarch
openstack-neutron-7.0.1-2.el7ost.noarch
openstack-neutron-ml2-7.0.1-2.el7ost.noarch
python-neutron-lbaas-7.0.0-2.el7ost.noarch
openstack-neutron-lbaas-7.0.0-2.el7ost.noarch
openstack-neutron-openvswitch-7.0.1-2.el7ost.noarch
openstack-neutron-metering-agent-7.0.1-2.el7ost.noarch


How reproducible:
100%

Steps to Reproduce:
1.Enable l2 population 
2.See if tunnels exist between compute nodes and controlers
3.

Actual results:
Tunnels exist

Expected results:
tunnels between compute nodes and controllers should be removed

Additional info:
http://pastebin.test.redhat.com/338767

My environment is installed with Liberty OSPD- l2population is enable MANUALLY
Comment 2 Assaf Muller 2016-01-07 09:39:08 EST
That's how the code works right now. It checks if a tunnel should be deleted when it receives a message from the controller that a VM was removed. The OVS agent doesn't check if it should clean up tunnels when it starts - The only reason why it would do that is to handle the situation (As outlined in this bug report) that the admin enabled l2pop after starting the agent. Still, this is a case we might want to handle.

Note You need to log in before you can comment on or make changes to this bug.